# Class: Password

## jala.Form.Component.Password(name)

Subclass of jala.Form.Component.Input which renders and validates a password input tag.

## Constructor

#### new Password(name)

Constructs a newly created Password component instance

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | Name of the component, used as name of the html controls.

Source:
  - jala/code/Form.js, line 1678

##### Returns:

A newly created Password component instance

### Methods

#### renderControls(attr, value, reqData)

Renders a password input tag to the response.

##### Parameters:

Name | Type | Description
--- | --- | ---
`attr` | Object | Basic attributes for this element.
`value` | Object | Value to be used for rendering this element.
`reqData` | Object | Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

Source:
  - jala/code/Form.js, line 1692